%define version   0.5.91
%define release   %mkrel 1

%define scim_version   1.4.0

%define libname_orig lib%{name}
%define libname %mklibname %name 0

Name:      scim-pinyin
Summary:   Chinese input module for Smart Chinese/Common Input Method platform
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL
URL:       http://www.scim-im.org
Source0:   %{name}-%{version}.tar.bz2
Patch1:    scim-chinese-0.4.1-fix-l10n.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        scim >= %{scim_version}
Requires:        %{libname} = %{version}
BuildRequires:   scim-devel >= %{scim_version}
BuildRequires:   libGConf2-devel automake1.8 libltdl-devel
Conflicts:       libscim-chinese0
Provides:        scim-chinese
Obsoletes:       scim-chinese > %version

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 


%package -n %{libname}
Summary:    Scim-pinyin library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-pinyin library.


%prep
%setup -q
%patch1 -p1

%build
CXXFLAGS="-O3 -Wall"
%configure2_5x --disable-static --disable-skim-support
%make
# force rebuild of updated po:
%make -C po

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install-strip 

# remove unneeded files
rm -f %{buildroot}%{_libdir}/scim-1.0/IMEngine/*.{a,la}
rm -f %{buildroot}%{_libdir}/scim-1.0/SetupUI/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/scim/pinyin/*
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so


%changelog
* Thu Aug 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.91-1mdk
- new release

* Mon Aug 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.90-1mdk
- new release
- remove patch2 (merged upstream)

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-6mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-5mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-4mdk
- Rebuild for new scim

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-3mdk
- rebuild for new scim

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-2mdk
- patch 2: update japanese translation

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-1mdk
- obsoletes scim-chinese
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>
  o new release
  o rebuild with scim-1.1.3

* Fri Jan 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-1mdk
- fix build
- initial release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
